Skip to content

Calling Plan: Block List ​

This set of APIs are tightly linked to the calling plans. A block list allows to further reduce the prefixes of a specific country and classification a customer can make a call to.

Get a specific calling plan: block list ​

Retrieves the calling plan block list for a group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/block_list

Authorization ​

Required role

groups.instance.block_list.instance.list

Path Parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200The calling plan block list was found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No calling plan block list found with this uuid
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
callingPlansarrayList containing the block list calling plan objectsno
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
Example ​
json
{
  "callingPlans": [
    {
      "classification": "standard",
      "country": "Belgium",
      "countryCode": "+32",
      "id": 2,
      "isoCode": "BE",
      "name": "Belgium BL",
      "region": "Europe",
      "risk": -1,
      "type": "block_list"
    },
    {
      "classification": "",
      "country": "Italy",
      "countryCode": "+39",
      "id": 15,
      "isoCode": "IT",
      "name": "Italy BL",
      "region": "Europe",
      "risk": -1,
      "type": "block_list"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 2
}

Create a calling plan: block list ​

Creates a block list associated to the group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/block_list

Authorization ​

Required role

groups.instance.block_list.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
countryCodestringThe country code for the block listno
countrystringThe country for the block listno
isoCodestringThe ISO code for the block listno
namestringThe name for the block listno
regionstringThe region for the block listno
typestringThe type of the calling plan block listno

Example ​

json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "isoCode": "AF",
  "name": "test",
  "region": "Asia",
  "type": "block_list"
}

Status codes ​

ParameterDescription
200The calling plan block list was created successfully
400Error while creating the calling plan block list
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countryCodestringThe country code for the calling plan block listno
countrystringThe country for the calling plan block listno
idintegerThe index of the calling plan block listno
isoCodestringThe ISO code for the calling plan block listno
namestringThe name of the calling plan block listno
regionstringThe region for the calling plan block listno
typestringThe type of the calling plan block listno
Example ​
json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "id": 335,
  "isoCode": "AF",
  "name": "test",
  "region": "Asia",
  "type": "block_list"
}

Modify a calling plan: block list ​

Updates the details a block list associated to the group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}

Authorization ​

Required role

groups.instance.block_list.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerID of the calling plan block list which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
namestringNew name for the calling plan block listno

Example ​

json
{
  "name": "Belgium BL"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list was updated successfully
400Error while updating the calling plan block list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block listno
Example ​
json
{
  "id":2
}

Delete a calling plan: block list ​

Deletes a block list associated to the group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}

Authorization ​

Required role

groups.instance.block_list.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerID of the calling plan block list which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan block list was deleted successfully. If the calling plan block list didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan block list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Get the list of calling plan: block list prefixes ​

Retrieves the block list prefixes associated to the group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}/prefixes

Authorization ​

Required role

groups.instance.block_list.instance.prefixes.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Response ​

Status codes ​

ParameterDescription
200One or more groups found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No trunk calling plan block list prefix found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno
prefixesarrayList containing all calling plan block list prefix objects in the calling plan block listno
Example ​
json
{
  "prefixes": [
    {
      "id": 4,
      "isExact": false,
      "name": "234",
      "prefix": "234"
    }
  ]
}

Create a calling plan: block list prefix ​

Creates a block list prefixes associated to the group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}/prefixes

Authorization ​

Required role

groups.instance.block_list.instance.prefixes.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan block list prefixno
prefixstringThe prefix for the calling plan block list prefixno
namestringThe name for the calling plan block list prefixno

Example ​

json
{
  "isExact": true,
  "prefix": "456",
  "name": "456"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list prefix was updated successfully
400Error while updating the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block list prefixno
Example ​
json
{
  "id": 34
}

Modify a calling plan: block list prefix ​

Updates the details a block prefix list associated to the group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}/prefixes/{pid}

Authorization ​

Required role

groups.instance.block_list.instance.prefixes.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerID of the calling plan block list
pidintegerID of the calling plan block list prefix which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan block list prefixno
prefixstringThe prefix for the calling plan block list prefixno
namestringThe name for the calling plan block list prefixno

Example ​

json
{
  "isExact": false,
  "prefix": "324",
  "name": "234"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list prefix was updated successfully
400Error while updating the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block list prefixno
Example ​
json
{
  "id": 4
}

Delete a calling plan: block list prefix ​

Deletes a block prefix list associated to the group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/groups/{uuid}/block_list/{id}/prefixes/{pid}

Authorization ​

Required role

groups.instance.block_list.instance.prefixes.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringA system generated unique ID (UUID) identifying the group
idintegerID of the calling plan block list
pidintegerID of the calling plan block list prefix which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan block list prefix was deleted successfully. If the calling plan block list prefix didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A

Get a specific calling plan: block list ​

Retrieves the calling plan block list for a trunk group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.read

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200The calling plan block list was found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No calling plan block list found with this uuid
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
callingPlansarrayList containing the block list calling plan objectsno
resultsintegerTotal number of results from the queryno
pagesintegerTotal number of pages according to pagination settingsno
pageintegerCurrent displayed page from the set of pagesno
nextstringA token used for infinite scrolling, to be used in the next call to retrieve subsequent records. Only present if the list of customer's licenses has to be continuedyes
Example ​
json
{
  "callingPlans": [
    {
      "classification": "standard",
      "country": "Belgium",
      "countryCode": "+32",
      "id": 2,
      "isoCode": "BE",
      "name": "Belgium BL",
      "region": "Europe",
      "risk": -1,
      "type": "block_list"
    },
    {
      "classification": "",
      "country": "Italy",
      "countryCode": "+39",
      "id": 15,
      "isoCode": "IT",
      "name": "Italy BL",
      "region": "Europe",
      "risk": -1,
      "type": "block_list"
    }
  ],
  "page": 1,
  "pages": 1,
  "results": 2
}

Create a calling plan: block list ​

Creates a block list associated to the trunk group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
countryCodestringThe country code for the calling plan block listno
countrystringThe country for the calling plan block listno
isoCodestringThe ISO code for the calling plan block listno
namestringThe name for the calling plan block listno
regionstringThe region for the calling plan block listno
typestringThe type of the calling plan block listno

Example ​

json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "isoCode": "AF",
  "name": "test",
  "region": "Asia",
  "type": "block_list"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list was created successfully
400Error while creating the calling plan block list
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
countryCodestringThe country code for the calling plan block listno
countrystringThe country for the calling plan block listno
idintegerThe index of the calling plan block listno
isoCodestringThe ISO code for the calling plan block listno
namestringThe name of the calling plan block listno
regionstringThe region for the calling plan block listno
typestringThe type of the calling plan block listno
Example ​
json
{
  "country": "Afghanistan",
  "countryCode": "+93",
  "id": 335,
  "isoCode": "AF",
  "name": "test",
  "region": "Asia",
  "type": "block_list"
}

Modify a calling plan: block list ​

Updates the details a block list associated to the trunk group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan block list which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
namestringNew name for the calling plan block listno

Example ​

json
{
  "name": "Belgium BL"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list was updated successfully
400Error while updating the calling plan block list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block listno
Example ​
json
{
  "id":2
}

Delete a calling plan: block list ​

Deletes a block list associated to the trunk group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan block list which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan block list was deleted successfully. If the calling plan block list didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan block list
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
prefixesarrayUniversal unique id uniquely identifying the calling plan block list that has been deletedno
Example ​
json
{
  "prefixes":[]
}

Get the list of calling plan: block list prefixes ​

Retrieves the block list prefixes associated to the trunk group.

Request ​

Endpoint ​

GET /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}/prefixes

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.prefixes.list

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan block list which you would like to retrieve

URL/Query parameters ​

ParameterTypeDescriptionRequired?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno

Response ​

Status codes ​

ParameterDescription
200One or more groups found
400Error while processing the request
403The API consumer doesn't have sufficient rights to perform this action
404No trunk calling plan block list prefix found
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
page_sizeintegerUsed for pagination, determines the maximum number of records on one page of results (defaults to 10)no
searchstringUsed to perform a search through all searchable properties of a group that look like the string passedno
prefixesarrayList containing all calling plan block list prefix objects in the calling plan block listno
Example ​
json
{
  "prefixes": [
    {
      "id": 4,
      "isExact": false,
      "name": "234",
      "prefix": "234"
    }
  ]
}

Create a calling plan: block list prefix ​

Creates a block list prefixes associated to the trunk group.

Request ​

Endpoint ​

POST /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}/prefixes

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.prefixes.create

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan block list prefixno
prefixstringThe prefix for the calling plan block list prefixno
namestringThe name for the calling plan block list prefixno

Example ​

json
{
  "isExact": true,
  "prefix": "456",
  "name": "456"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list prefix was updated successfully
400Error while updating the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block list prefixno
Example ​
json
{
  "id": 34
}

Modify a calling plan: block list prefix ​

Updates the details a block list prefixes associated to the trunk group.

Request ​

Endpoint ​

PUT /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}/prefixes/{pid}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.prefixes.instance.update

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan block list
pidintegerID of the calling plan block list prefix which you would like to modify

URL/Query parameters ​

N/A

Body ​
ParameterTypeDescriptionRequired?
isExactstringThe is exact status for the calling plan block list prefixno
prefixstringThe prefix for the calling plan block list prefixno
namestringThe name for the calling plan block list prefixno

Example ​

json
{
  "isExact": false,
  "prefix": "324",
  "name": "234"
}

Response ​

Status codes ​

ParameterDescription
200The calling plan block list prefix was updated successfully
400Error while updating the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​
ParameterTypeDescriptionConditional?
idintegerThe index of the calling plan block list prefixno
Example ​
json
{
  "id": 4
}

Delete a calling plan: block list prefix ​

Deletes a block list prefixes associated to the trunk group.

Request ​

Endpoint ​

DELETE /api/v01/draas/{draas_instance}/tenants/{uuid}/subscriptions/{subscription_id}/trunkgroups/{trunkgroup_id}/block_list/{id}/prefixes/{pid}

Authorization ​

Required role

tenants.instance.subscriptions.instance.trunk_group.instance.block_list.instance.prefixes.instance.delete

Path Parameters ​

ParameterTypeDescription
draas_instancestringSee common parameters
uuidstringSystem generated universal unique ID (UUID) identifying the tenant
subscription_idintegerIndex of a subscription to retrieve the calling plan block list for
trunkgroup_idintegerIndex of a Trunk Group
idintegerID of the calling plan block list
pidintegerID of the calling plan block list prefix which you would like to delete

URL/Query parameters ​

N/A

Body ​

N/A

Response ​

Status codes ​

ParameterDescription
204The calling plan block list prefix was deleted successfully. If the calling plan block list prefix didn't exist, the delete will be considered as being executed successfully
400Error while deleting the calling plan block list prefix
403The API consumer doesn't have sufficient rights to perform this action
500Uncatched error on server side

Success ​

Body ​

N/A